import request from '@/utils/request'

// 项目管理-左1-预算总指标
export function budgetIndex(parms) {
  return request({
    url: '/home/cases/v2/budgetIndex',
    method: 'get',
    params: parms,
  });
}

// 项目管理-中1
export function caseSummary(parms) {
  return request({
    url: '/home/cases/v2/caseSummary',
    method: 'get',
    params: parms,
  });
}

// 项目管理-右1-项目总指标
export function declarationIndex(parms) {
  return request({
    url: '/home/cases/v2/declarationIndex',
    method: 'get',
    params: parms,
  });
}

// 项目管理-左3-年度预算实施进程
export function budgetProgressStatistics(parms) {
  return request({
    url: '/home/cases/v2/budgetProgressStatistics',
    method: 'get',
    params: parms,
  });
}

// 项目管理-右3-年度项目实施进程
export function itemProgressStatistics(parms) {
  return request({
    url: '/home/cases/v2/itemProgressStatistics',
    method: 'get',
    params: parms,
  });
}

// 项目管理-中2-历年预算趋势
export function budgetYearStatistics(parms) {
    return request({
        url: '/home/cases/v2/budgetYearStatistics',
        method: 'get',
        params: parms,
    });
}

// 项目管理-右2-年度项目申报数量
export function declarationDeptStatistics(parms) {
    return request({
        url: '/home/cases/v2/declarationDeptStatistics',
        method: 'get',
        params: parms,
    });
}

// 项目管理-左2-年度资金流向
export function budgetFundFlowStatistics(parms) {
    return request({
        url: '/home/cases/v2/budgetFundFlowStatistics',
        method: 'get',
        params: parms,
    });
}

// 中地图-区县详情
export function getDeptCaseSummary(parms) {
    return request({
        url: '/home/cases/v2/getDeptCaseSummary',
        method: 'get',
        params: parms,
    });
}
